"use strict";

exports.__esModule = true;
exports["default"] = void 0;
var _types = require("../types");
// import { DragEvent } from 'react'
var Dragon = exports["default"] = function Dragon(innerDragon) {
  var _this = this;
  this.innerDragon = void 0;
  this.onNodeDataDragStart = function (packageName) {
    if (_this.innerDragon.designer.componentSpecMap.has(packageName)) {
      _this.innerDragon.onDragStart({
        type: _types.DragObjectType.NodeData,
        data: _this.innerDragon.designer.componentSpecMap.get(packageName)
      });
    }
  };
  this.innerDragon = innerDragon;
};